apemanenv
==========

<!---
This file is generated by ape-tmpl. Do not update manually.
--->

<!-- Badge Start -->
<a name="badges"></a>

[![Build Status][bd_travis_shield_url]][bd_travis_url]
[![npm Version][bd_npm_shield_url]][bd_npm_url]
[![JS Standard][bd_standard_shield_url]][bd_standard_url]

[bd_repo_url]: https://github.com/apeman-labo/apemanenv
[bd_travis_url]: http://travis-ci.org/apeman-labo/apemanenv
[bd_travis_shield_url]: http://img.shields.io/travis/apeman-labo/apemanenv.svg?style=flat
[bd_travis_com_url]: http://travis-ci.com/apeman-labo/apemanenv
[bd_travis_com_shield_url]: https://api.travis-ci.com/apeman-labo/apemanenv.svg?token=
[bd_license_url]: https://github.com/apeman-labo/apemanenv/blob/master/LICENSE
[bd_codeclimate_url]: http://codeclimate.com/github/apeman-labo/apemanenv
[bd_codeclimate_shield_url]: http://img.shields.io/codeclimate/github/apeman-labo/apemanenv.svg?style=flat
[bd_codeclimate_coverage_shield_url]: http://img.shields.io/codeclimate/coverage/github/apeman-labo/apemanenv.svg?style=flat
[bd_gemnasium_url]: https://gemnasium.com/apeman-labo/apemanenv
[bd_gemnasium_shield_url]: https://gemnasium.com/apeman-labo/apemanenv.svg
[bd_npm_url]: http://www.npmjs.org/package/apemanenv
[bd_npm_shield_url]: http://img.shields.io/npm/v/apemanenv.svg?style=flat
[bd_standard_url]: http://standardjs.com/
[bd_standard_shield_url]: https://img.shields.io/badge/code%20style-standard-brightgreen.svg

<!-- Badge End -->


<!-- Description Start -->
<a name="description"></a>

Env settings for apeman project.

<!-- Description End -->


<!-- Overview Start -->
<a name="overview"></a>

Load environment specific settings , using [konfig][konfig_url].

[konfig_url]: https://www.npmjs.com/package/konfig

<!-- Overview End -->


<!-- Sections Start -->
<a name="sections"></a>

<!-- Section from "doc/guides/01.Installation.md.hbs" Start -->

<a name="section-doc-guides-01-installation-md"></a>

Installation
-----

```bash
$ npm install apemanenv --save
```


<!-- Section from "doc/guides/01.Installation.md.hbs" End -->

<!-- Section from "doc/guides/02.Usage.md.hbs" Start -->

<a name="section-doc-guides-02-usage-md"></a>

Usage
---------

Create a directory with name "env" and put env setting files like "database.json" there.


**env/database.json**
```javascript
{
  "default": {
    "HOST": "localhost",
    "SHCEMA": "myapp",
    "USER": "myapp-db-user",
    "PASSWORD": "password-of-#{USER}"
  },
  "production": {
    "HOST": "http://myapp-db.com",
    "USER": "myapp-db-user-production",
    "PASSWORD": "a;skdjfasdwer"
  },
  "development": {
    "USER": "myapp-db-user-dev",
    "PASSWORD": "myapp-db-user-dev"
  }
}
```

**env/index.js**

```javascript
'use strict'

const apemanenv = require('apemanenv')

let env = apemanenv(__dirname, {
  overridable: false
})

// Exports env settings as module.
module.exports = env

if (!module.parent) {
  // Print env settings to console.
  env.print()
}

```




<!-- Section from "doc/guides/02.Usage.md.hbs" End -->

<!-- Section from "doc/guides/03.Tips.md.hbs" Start -->

<a name="section-doc-guides-03-tips-md"></a>

Tips
----------

### Overriding variables from process.env

You can override values with process.env values when `overridable` option is true.

For example,

```bash
$ DATABASE_PASSWORD="as09u123;" ./main.js
```

This overrides "PASSWORD" field in env/database.json



<!-- Section from "doc/guides/03.Tips.md.hbs" End -->


<!-- Sections Start -->


<!-- LICENSE Start -->
<a name="license"></a>

License
-------
This software is released under the [MIT License](https://github.com/apeman-labo/apemanenv/blob/master/LICENSE).

<!-- LICENSE End -->


<!-- Links Start -->
<a name="links"></a>

Links
------

+ [apeman][apeman_url]
+ [konfig][konfig_url]

[apeman_url]: https://www.npmjs.com/package/apeman
[konfig_url]: https://www.npmjs.com/package/konfig

<!-- Links End -->
