/**
 * Eval values
 * @function evaluate
 * @param {Object} config - Config to eval
 * @param {Object} context
 * @returns {Object}
 */
'use strict'

const evaljson = require('evaljson')

/** @lends evaluate */
function evaluate (config, context) {
  return Object.assign({},
    ...Object.keys(config).map((key) => ({
      [key]: evaljson(config[ key ], config[ key ], config, context)
    }))
  )
}

module.exports = evaluate

