/**
 * Load files is directory
 * @function load
 * @param {string} dirname
 * @returns {Object}
 */
'use strict'

const path = require('path')
const fs = require('fs')

/** @lends load */
function load (dirname) {
  let { NODE_ENV = 'development' } = process.env
  dirname = path.resolve(process.cwd(), dirname)
  return Object.assign({},
    ...fs.readdirSync(dirname)
      .filter((filename) => path.extname(filename) === '.json')
      .map((filename) => path.resolve(dirname, filename))
      .map((filename) => {
        let name = path.basename(filename, '.json')
        let content = JSON.parse(fs.readFileSync(filename))
        return {
          [name]: Object.assign({}, content[ 'default' ], content[ NODE_ENV ])
        }
      })
  )
}

module.exports = load
