/**
 * Print env settings.
 * @function print
 * @param {object} env - env settings to print.
 */

'use strict'

const colorprint = require('colorprint')
const { colors } = colorprint
const yaml = require('js-yaml')

function _values (env) {
  let values = {}
  Object.keys(env).forEach((key) => {
    values[ key ] = env[ key ]
  })
  return values
}

/** @lends print */
function print (env) {
  let values = _values(env)
  colorprint.debug('')
  colorprint.debug('Env Settings')
  colorprint.debug('------------')
  let msg = yaml.safeDump(values)
  colorprint.debug(colors.blackBright(msg))
  colorprint.debug('')
  colorprint.debug('')
}

print.override = function (key, value) {
  colorprint.trace(`[apemanenv] Overriding ${key} with value ${value}`)
}

module.exports = print
