/**
 * Test case for apemanenv.
 * Runs with mocha.
 */
'use strict'

const apemanenv = require('../lib/apemanenv.js')
const assert = require('assert')

describe('apemanenv', () => {
  const { NODE_ENV } = process.env

  before((done) => {
    process.env.MOCK_DATABASE_SOME_HOST = 'example.com'
    done()
  })

  after((done) => {
    process.env.NODE_ENV = NODE_ENV
    done()
  })

  it('Set by node_env', (done) => {
    let env
    process.env.NODE_ENV = ''
    env = apemanenv(`${__dirname}/../doc/mocks/mock-env`)
    assert.equal(env[ 'mock-database' ].USER, 'hoge')
    process.env.NODE_ENV = 'test'
    env = apemanenv(`${__dirname}/../doc/mocks/mock-env`, {
      overridable: true
    })
    assert.equal(env[ 'mock-database' ].USER, 'hoge_test')
    assert.equal(env[ 'mock-database' ].SOME_HOST, 'example.com')

    done()
  })
})

/* global describe, before, after, it */
